Dashboard
Dashboard
Overview
CleanPipe Protection Dashboard API
Version information
Version : 1.0.0.BETA
License information
Terms of service : https://www.nexusguard.com/
URI scheme
BasePath : /api
Schemes : HTTPS
Paths
Get All Sites CleanPipe Annual Event Summary.
GET /specp/cp/dashboard/annual_event_summary
Description
Get All Sites Annual Event Summary by Types (Attack type or Severity Level). Omitting site_id in path aggregates all sites under the customer.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Query | access_token required |
Access token used to authenticate your access to the API. Can be obtained by invoking this API. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response sent when the API is successfully invoked. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Error code. | integer |
| msg optional |
Error message. | string |
| result optional |
Annual DDoS event summary grouped by attack type and severity level. | result |
| Name | Description | Schema |
|---|---|---|
| attack_type optional |
Summary by attack type. | < attack_type > array |
| severity_level optional |
Summary by severity level. | < severity_level > array |
| Name | Description | Schema |
|---|---|---|
| data optional |
The index represents the attack type, and the value represents the corresponding statistics. | object |
| time optional |
Timestamp. | integer |
| Name | Description | Schema |
|---|---|---|
| data optional |
The index represents the severity level, and the value represents the corresponding statistics. | object |
| time optional |
Timestamp. | integer |
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Get CleanPipe DDoS event detail.
GET /specp/cp/dashboard/ddos_event/{event_id}/detail
Description
Retrieve CleanPipe DDoS event detail by event ID.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | event_id required |
Unique identifier of a DDoS event. Can be obtained by invoking this API. | string |
| Query | access_token required |
Access token used to authenticate your access to the API. Can be obtained by invoking this API. | string |
| Query | module required |
Module type. traffic, characterization, traffic_patterns, threat_map. | enum (traffic, characterization, traffic_patterns, threat_map) |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response when the API is successfully invoked. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Error code. | integer |
| msg optional |
Error message. | string |
| result optional |
DDoS event detail. | result |
| Name | Schema |
|---|---|
| characterization optional |
< characterization > array |
| threat_map optional |
threat_map |
| traffic optional |
traffic |
| traffic_patterns optional |
< traffic_patterns > array |
| Name | Description | Schema |
|---|---|---|
| country optional |
Country code. | string |
| element optional |
Event characterization item element. | string |
| item optional |
Event characterization item name. | string |
| percent optional |
Event characterization item percentage. | integer |
| value optional |
Event characterization item value. | string |
| Name | Schema |
|---|---|
| bps optional |
< bps > array |
| pps optional |
< pps > array |
| Name | Description | Schema |
|---|---|---|
| code optional |
Country code. | string |
| country optional |
Country name. | string |
| ip optional |
IP address. | string |
| latitude optional |
Latitude. | number |
| longitude optional |
Longitude. | number |
| org optional |
Organization name. | string |
| percent optional |
Percentage. | integer |
| size optional |
Traffic size. | string |
| Name | Description | Schema |
|---|---|---|
| code optional |
Country code. | string |
| country optional |
Country name. | string |
| ip optional |
IP address. | string |
| latitude optional |
Latitude. | number |
| longitude optional |
Longitude. | number |
| org optional |
Organization name. | string |
| percent optional |
Percentage. | integer |
| size optional |
Traffic size. | string |
| Name | Schema |
|---|---|
| bps optional |
< string, < < integer > array > array > map |
| pps optional |
< string, < < integer > array > array > map |
| Name | Description | Schema |
|---|---|---|
| asn optional |
ASN number. | integer |
| average optional |
average | |
| cidr optional |
CIDR notation. | string |
| dest_port optional |
Destination port. | string |
| max optional |
max | |
| protocol optional |
Protocol type. | string |
| router optional |
Router IP address. | string |
| src_port optional |
Source port. | string |
| total optional |
total |
| Name | Description | Schema |
|---|---|---|
| bps optional |
Average bits per second. | integer |
| pps optional |
Average packets per second. | integer |
| Name | Description | Schema |
|---|---|---|
| bps optional |
Maximum bits per second. | integer |
| pps optional |
Maximum packets per second. | integer |
| Name | Description | Schema |
|---|---|---|
| byte optional |
Total bytes. | integer |
| packet optional |
Total packets. | integer |
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Stop DDoS event.
POST /specp/cp/dashboard/ddos_event/{event_id}/stop
Description
Stop a DDoS event.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | event_id required |
Unique identifier of a DDoS event. | string |
| Query | access_token required |
Access token used to authenticate your access to the API. | string |
| Query | stop_type optional |
Stop type. 1 means network event only; 2 means network event and host event. Default is 1. | enum (1, 2) |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response when the API is successfully invoked. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Error code | integer |
| msg optional |
Error message | string |
Consumes
application/json
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Get CleanPipe historical DDoS events by specifying timestamps.
GET /specp/cp/dashboard/ddos_events
Description
Retrieve CleanPipe historical DDoS events by selecting the time range.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Query | access_token required |
Access token used to authenticate your access to the API. | string |
| Query | alert_id optional |
Unique identifier of an event. | string |
| Query | end_time optional |
End time, Format: ‘year-month-day hour:minute:second’,eg: ‘2021-06-01 20:10:00’. Default is the 31st day after the start time. The maximum span is 31 days. | string |
| Query | num optional |
Quantity. Default is 10. | string |
| Query | site_id optional |
Unique identifier of a site. Can be obtained by invoking this API for Cleanpipe Protection sites. | < string > array |
| Query | site_ip optional |
Site IP address. | string |
| Query | site_name optional |
Site Name. | string |
| Query | start optional |
Starting position. Default is 0. | string |
| Query | start_time optional |
Start time, Format: ‘year-month-day hour:minute:second’,eg: ‘2021-06-01 20:10:00’. Default is the first day of the current month. | string |
| Query | status optional |
Event status filter. | enum (all, ongoing, stopped) |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response when the API is successfully invoked. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Error code | integer |
| msg optional |
Error message | string |
| result optional |
Historical DDoS event list. | result |
| Name | Description | Schema |
|---|---|---|
| events optional |
< events > array | |
| total optional |
Total no. of alarms in the query range. | integer |
| Name | Description | Schema |
|---|---|---|
| alert_id optional |
Alert ID | string |
| attack_type optional |
Attack type | string |
| duration optional |
Alert duration, measured in seconds. | integer (int64) |
| end_time optional |
Alert’s end time, in 10-digit timestamp format. | integer |
| max_bps optional |
Max bps | integer |
| max_pps optional |
Max pps | integer |
| p_type optional |
Policy type: 0, Alert from Mitigation; 1, Alert from Auto Mitigation | integer |
| profile_desc optional |
Profile description | string |
| profile_name optional |
Profile name | string |
| severity optional |
Alert level: 1(Low); 2(Medium); 3(High); 4(Blackhole). | integer |
| severity_level optional |
Level of severity: Alert or Auto Mitigation or Auto Blackhole. | enum (Alert, Auto Mitigation, Auto Blackhole) |
| site_ip optional |
Site IP | string |
| site_name optional |
Site name | string |
| start_time optional |
Alert’s start time, in 10-digit timestamp format. | integer |
| status optional |
1 means ongoing. 0 means stopped. | integer |
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Get All Sites CleanPipe Monthly Summary.
GET /specp/cp/dashboard/monthly_summary
Description
Get All Sites Monthly Summary (by bps or pps). The query time must not be earlier than 3 months before the current time. Omitting site_id in path aggregates all sites under the customer.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Query | access_token required |
Access token used to authenticate your access to the API. Can be obtained by invoking this API. | string |
| Query | time required |
Timestamp as a string. Pass the integer timestamp from All Sites annual event summary (this API) converted to a string. The API returns the data summary for the calendar month that contains this timestamp. The timestamp must not be earlier than 3 months before the current time. Values outside this range return a business error code. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response sent when the API is successfully invoked. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Error code. | integer |
| msg optional |
Error message. | string |
| result optional |
The monthly summary displays DDoS attack statistics for the specified time period. In particular, it lists the attacks with the highest bandwidth usage, showing the distribution of information such as attack source, attack target, attack type, and AS number. | result |
| Name | Description | Schema |
|---|---|---|
| data optional |
Monthly attack distribution breakdown. | data |
| max_bps_traffic optional |
Max traffic in bps. | integer |
| max_pps_traffic optional |
Max traffic in pps. | integer |
| Name | Description | Schema |
|---|---|---|
| as_num optional |
Summary by AS number. | as_num |
| attack_type optional |
Summary by attack type. | attack_type |
| country optional |
Summary by country. | country |
| ip optional |
Summary by host. | ip |
| network optional |
Summary by Network. | network |
| Name | Description | Schema |
|---|---|---|
| bps optional |
Summary in bps. | < bps > array |
| pps optional |
Summary in pps. | < pps > array |
| Name | Description | Schema |
|---|---|---|
| as optional |
ASN. | string |
| max_size optional |
Max Size. | integer |
| org optional |
Organization. | string |
| percent optional |
Percentage. | string |
| Name | Description | Schema |
|---|---|---|
| as optional |
ASN. | string |
| max_size optional |
Max Size. | integer |
| org optional |
Organization. | string |
| percent optional |
Percentage. | string |
| Name | Description | Schema |
|---|---|---|
| bps optional |
Summary in bps. | < bps > array |
| pps optional |
Summary in pps. | < pps > array |
| Name | Description | Schema |
|---|---|---|
| attack_type optional |
Attack type. | string |
| max_size optional |
Max Size. | integer |
| percent optional |
Percentage. | string |
| Name | Description | Schema |
|---|---|---|
| attack_type optional |
Attack type. | string |
| max_size optional |
Max Size. | integer |
| percent optional |
Percentage. | string |
| Name | Description | Schema |
|---|---|---|
| bps optional |
Summary in bps. | < bps > array |
| pps optional |
Summary in pps. | < pps > array |
| Name | Description | Schema |
|---|---|---|
| country optional |
Country. | string |
| latitude optional |
Latitude of the current country. | number |
| longitude optional |
Longitude of the current country. | number |
| max_size optional |
Max Size. | integer |
| percent optional |
Percentage. | string |
| Name | Description | Schema |
|---|---|---|
| country optional |
Country. | string |
| latitude optional |
Latitude of the current country. | number |
| longitude optional |
Longitude of the current country. | number |
| max_size optional |
Max Size. | integer |
| percent optional |
Percentage. | string |
| Name | Description | Schema |
|---|---|---|
| bps optional |
Summary in bps. | < bps > array |
| pps optional |
Summary in pps. | < pps > array |
| Name | Description | Schema |
|---|---|---|
| country optional |
Country. | string |
| ip optional |
IP address. | string |
| latitude optional |
Latitude of the current IP. | number |
| longitude optional |
Longitude of the current IP. | number |
| max_size optional |
Max Size. | integer |
| org optional |
Organization. | string |
| percent optional |
Percentage. | string |
| Name | Description | Schema |
|---|---|---|
| country optional |
Country. | string |
| ip optional |
IP address. | string |
| latitude optional |
Latitude of the current IP. | number |
| longitude optional |
Longitude of the current IP. | number |
| max_size optional |
Max Size. | integer |
| org optional |
Organization. | string |
| percent optional |
Percentage. | string |
| Name | Description | Schema |
|---|---|---|
| bps optional |
Summary in bps. | < bps > array |
| pps optional |
Summary in pps. | < pps > array |
| Name | Description | Schema |
|---|---|---|
| ip optional |
Victim IP. | string |
| max_size optional |
Max Size. | integer |
| percent optional |
Percentage. | string |
| Name | Description | Schema |
|---|---|---|
| ip optional |
Victim IP. | string |
| max_size optional |
Max Size. | integer |
| percent optional |
Percentage. | string |
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Get CleanPipe Dashboard policy data.
GET /specp/cp/dashboard/policy
Description
Retrieve CleanPipe dashboard policy data by selecting the time range.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Query | access_token required |
Access token used to authenticate your access to the API. | string |
| Query | end_time optional |
End time, in 10-digit timestamp format. Default is the 31st day after the start time. The maximum span is 31 days. | string |
| Query | ips optional |
List of IP addresses to query policy data for. | < string > array |
| Query | policy_type optional |
Policy type filter (e.g. mitigation, auto_mitigation). | string |
| Query | start_time optional |
Start time, in 10-digit timestamp format. Default is the first day of the current month. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response when the API is successfully invoked. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Error code | integer |
| msg optional |
Error message | string |
| result optional |
Dashboard policy data (e.g. pass_bps, drop_bps, pass_pps, drop_pps). | result |
| Name | Schema |
|---|---|
| drop_bps optional |
< < integer > array > array |
| drop_pps optional |
< < integer > array > array |
| pass_bps optional |
< < integer > array > array |
| pass_pps optional |
< < integer > array > array |
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Get All Sites CleanPipe recent events.
GET /specp/cp/dashboard/recent_events
Description
Get All Sites Recent Events. Returns at most 10 events. Event timestamps must not be earlier than 3 months before the current time. Omitting site_id in path aggregates all sites under the customer.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Query | access_token required |
Access token used to authenticate your access to the API. Can be obtained by invoking this API. | string |
| Query | ip_type optional |
IP type. Default value is ‘ipv4’. | enum (ipv4, ipv6) |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response sent when the API is successfully invoked. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Error code. | integer |
| msg optional |
Error message. | string |
| result optional |
Recent events. At most 10 items. | < result > array |
| Name | Description | Schema |
|---|---|---|
| alert_id optional |
Alert ID. | string |
| attack_type optional |
Attack type. | string |
| duration optional |
Alert duration, measured in seconds. | integer (int64) |
| end_time optional |
Alert’s end time, in 10-digit timestamp format. The earliest allowed time is 3 months before the current time. | integer |
| host_id optional |
Host ID. | string |
| impact_max_bps optional |
Max bps. | integer |
| impact_max_pps optional |
Max pps. | integer |
| profile_name optional |
Profile name. | string |
| severity optional |
Severity. | string |
| severity_level optional |
Level of severity: Alert or Auto Mitigation or Auto Blackhole. | enum (Alert, Auto Mitigation, Auto Blackhole) |
| site_id optional |
Site ID. | string |
| site_ip optional |
Site IP. | string |
| site_name optional |
Site name. | string |
| start_time optional |
Alert’s start time, in 10-digit timestamp format. The earliest allowed time is 3 months before the current time. | integer |
| status optional |
Status. | enum (ongoing, stopped) |
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Get All Sites CleanPipe clean bandwidth traffic data.
GET /specp/cp/dashboard/traffic/clean-bandwidth
Description
Get All Sites Clean Bandwidth Traffic (in bps or pps) with specific timestamps. Omitting site_id in path aggregates all sites under the customer.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Query | access_token required |
Access token used to authenticate your access to the API. Can be obtained by invoking this API. | string |
| Query | end_time required |
End time of the query range, in seconds (Unix timestamp). Allowed range: from 3 months before the current time up to the current time (must not be later than now). Must be later than start_time. The span between start_time and end_time must match period: hour (greater than 1 minute and less than 1 hour), day (greater than 1 hour and less than 1 day), week (greater than 1 day and less than 7 days), or month (greater than 7 days and less than 31 days). | integer |
| Query | period optional |
Time span of data.Default value is ‘hour’.When period is hour, the timestamp interval of each traffic data is 1 minute. When period is day, the timestamp interval of each traffic data is 10 minutes. When period is week or month, the time interval of traffic data is 1 hour. In the parameters, the choice of period depends on the length of the time period you want to obtain. | enum (hour, day, week, month) |
| Query | start_time required |
Start time of the query range, in seconds (Unix timestamp). Allowed range: from 3 months before the current time up to the current time (must not be later than now). The span between start_time and end_time must match period: hour (greater than 1 minute and less than 1 hour), day (greater than 1 hour and less than 1 day), week (greater than 1 day and less than 7 days), or month (greater than 7 days and less than 31 days). | integer |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response sent when the API is successfully invoked. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Error code. | integer |
| msg optional |
Error message. | string |
| result optional |
Clean bandwidth traffic data. | result |
| Name | Description | Schema |
|---|---|---|
| average_traffic_in optional |
Average in traffic data. | average_traffic_in |
| average_traffic_out optional |
Average out traffic data. | average_traffic_out |
| statistics optional |
Traffic statistics. | statistics |
| total_traffic_in optional |
Total in traffic data. | total_traffic_in |
| total_traffic_out optional |
Total out traffic data. | total_traffic_out |
| traffic_in_total optional |
Total in traffic data. K bits | integer |
| traffic_out_total optional |
Total out traffic data. K bits | integer |
| traffic_total optional |
Total traffic data. K bits | integer |
| Name | Description | Schema |
|---|---|---|
| data optional |
Average in traffic data. | data |
| Name | Description | Schema |
|---|---|---|
| bps optional |
Traffic value. | < bps > array |
| pps optional |
Traffic value. | < pps > array |
| Name | Description | Schema |
|---|---|---|
| time optional |
Timestamp. | integer |
| value optional |
Traffic value. | integer |
| Name | Description | Schema |
|---|---|---|
| time optional |
Timestamp. | integer |
| value optional |
Traffic value. | integer |
| Name | Description | Schema |
|---|---|---|
| data optional |
Average out traffic data. | data |
| Name | Description | Schema |
|---|---|---|
| bps optional |
Traffic value. | < bps > array |
| pps optional |
Traffic value. | < pps > array |
| Name | Description | Schema |
|---|---|---|
| time optional |
Timestamp. | integer |
| value optional |
Traffic value. | integer |
| Name | Description | Schema |
|---|---|---|
| time optional |
Timestamp. | integer |
| value optional |
Traffic value. | integer |
| Name | Description | Schema |
|---|---|---|
| traffic_in optional |
In traffic statistics. bits/s | traffic_in |
| traffic_out optional |
Out traffic statistics. bits/s | traffic_out |
| Name | Description | Schema |
|---|---|---|
| 95th optional |
95th percentile traffic value. | integer |
| average optional |
Average traffic value. | integer |
| last optional |
Last traffic value. | integer |
| max optional |
Max traffic value. | integer |
| Name | Description | Schema |
|---|---|---|
| 95th optional |
95th percentile traffic value. | integer |
| average optional |
Average traffic value. | integer |
| last optional |
Last traffic value. | integer |
| max optional |
Max traffic value. | integer |
| Name | Description | Schema |
|---|---|---|
| data optional |
Total in traffic data. | data |
| Name | Description | Schema |
|---|---|---|
| bps optional |
Traffic value. | < bps > array |
| pps optional |
Traffic value. | < pps > array |
| Name | Description | Schema |
|---|---|---|
| time optional |
Timestamp. | integer |
| value optional |
Traffic value. | integer |
| Name | Description | Schema |
|---|---|---|
| time optional |
Timestamp. | integer |
| value optional |
Traffic value. | integer |
| Name | Description | Schema |
|---|---|---|
| data optional |
Total out traffic data. | data |
| Name | Description | Schema |
|---|---|---|
| bps optional |
Traffic value. | < bps > array |
| pps optional |
Traffic value. | < pps > array |
| Name | Description | Schema |
|---|---|---|
| time optional |
Timestamp. | integer |
| value optional |
Traffic value. | integer |
| Name | Description | Schema |
|---|---|---|
| time optional |
Timestamp. | integer |
| value optional |
Traffic value. | integer |
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Get All Sites CleanPipe mitigation bandwidth traffic data.
GET /specp/cp/dashboard/traffic/mitigation
Description
Get All Sites Mitigation Traffic (by bps and pps) with specific timestamps.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Query | access_token required |
Access token used to authenticate your access to the API. Can be obtained by invoking this API. | string |
| Query | end_time required |
End time of the query range, in seconds (Unix timestamp). Allowed range: from 3 months before the current time up to the current time (must not be later than now). Must be later than start_time. The span between start_time and end_time must match period: hour (greater than 1 minute and less than 1 hour), day (greater than 1 hour and less than 1 day), week (greater than 1 day and less than 7 days), or month (greater than 7 days and less than 31 days). | integer |
| Query | period optional |
Time span of data.Default value is ‘hour’.When period is hour, the timestamp interval of each traffic data is 1 minute. When period is day, the timestamp interval of each traffic data is 10 minutes. When period is week or month, the time interval of traffic data is 1 hour. In the parameters, the choice of period depends on the length of the time period you want to obtain. | enum (hour, day, week, month) |
| Query | start_time required |
Start time of the query range, in seconds (Unix timestamp). Allowed range: from 3 months before the current time up to the current time (must not be later than now). The span between start_time and end_time must match period: hour (greater than 1 minute and less than 1 hour), day (greater than 1 hour and less than 1 day), week (greater than 1 day and less than 7 days), or month (greater than 7 days and less than 31 days). | integer |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response sent when the API is successfully invoked. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Error code. | integer |
| msg optional |
Error message. | string |
| result optional |
Mitigation bandwidth traffic data. | result |
| Name | Description | Schema |
|---|---|---|
| drop optional |
Dropped traffic data. | drop |
| pass optional |
Passed traffic data. | pass |
| Name | Description | Schema |
|---|---|---|
| data optional |
Dropped traffic data. | data |
| Name | Description | Schema |
|---|---|---|
| bps optional |
Traffic value. | < bps > array |
| pps optional |
Traffic value. | < pps > array |
| Name | Description | Schema |
|---|---|---|
| time optional |
Timestamp. | integer |
| value optional |
Traffic value. | integer |
| Name | Description | Schema |
|---|---|---|
| time optional |
Timestamp. | integer |
| value optional |
Traffic value. | integer |
| Name | Description | Schema |
|---|---|---|
| data optional |
Passed traffic data. | data |
| Name | Description | Schema |
|---|---|---|
| bps optional |
Traffic value. | < bps > array |
| pps optional |
Traffic value. | < pps > array |
| Name | Description | Schema |
|---|---|---|
| time optional |
Timestamp. | integer |
| value optional |
Traffic value. | integer |
| Name | Description | Schema |
|---|---|---|
| time optional |
Timestamp. | integer |
| value optional |
Traffic value. | integer |
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Get All Sites CleanPipe raw bandwidth traffic data.
GET /specp/cp/dashboard/traffic/raw-bandwidth
Description
Get All Sites Raw Bandwidth Traffic (by bps or pps) with specific timestamps.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Query | access_token required |
Access token used to authenticate your access to the API. Can be obtained by invoking this API. | string |
| Query | end_time required |
End time of the query range, in seconds (Unix timestamp). Allowed range: from 3 months before the current time up to the current time (must not be later than now). Must be later than start_time. The span between start_time and end_time must match period: hour (greater than 1 minute and less than 1 hour), day (greater than 1 hour and less than 1 day), week (greater than 1 day and less than 7 days), or month (greater than 7 days and less than 31 days). | integer |
| Query | period optional |
Time span of data. Default value is ‘hour’.When period is hour, the timestamp interval of each traffic data is 1 minute. When period is day, the timestamp interval of each traffic data is 10 minutes. When period is week or month, the time interval of traffic data is 1 hour. In the parameters, the choice of period depends on the length of the time period you want to obtain. | enum (hour, day, week, month) |
| Query | start_time required |
Start time of the query range, in seconds (Unix timestamp). Allowed range: from 3 months before the current time up to the current time (must not be later than now). The span between start_time and end_time must match period: hour (greater than 1 minute and less than 1 hour), day (greater than 1 hour and less than 1 day), week (greater than 1 day and less than 7 days), or month (greater than 7 days and less than 31 days). | integer |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response sent when the API is successfully invoked. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Error code. | integer |
| msg optional |
Error message. | string |
| result optional |
Raw bandwidth traffic data. | result |
| Name | Description | Schema |
|---|---|---|
| average_traffic_in optional |
Average in traffic data. | average_traffic_in |
| average_traffic_out optional |
Average out traffic data. | average_traffic_out |
| Name | Description | Schema |
|---|---|---|
| data optional |
Average in traffic data. | data |
| Name | Description | Schema |
|---|---|---|
| bps optional |
Traffic value. | < bps > array |
| pps optional |
Traffic value. | < pps > array |
| Name | Description | Schema |
|---|---|---|
| time optional |
Timestamp. | integer |
| value optional |
Traffic value. | integer |
| Name | Description | Schema |
|---|---|---|
| time optional |
Timestamp. | integer |
| value optional |
Traffic value. | integer |
| Name | Description | Schema |
|---|---|---|
| data optional |
Average out traffic data. | data |
| Name | Description | Schema |
|---|---|---|
| bps optional |
Traffic value. | < bps > array |
| pps optional |
Traffic value. | < pps > array |
| Name | Description | Schema |
|---|---|---|
| time optional |
Timestamp. | integer |
| value optional |
Traffic value. | integer |
| Name | Description | Schema |
|---|---|---|
| time optional |
Timestamp. | integer |
| value optional |
Traffic value. | integer |
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Get CleanPipe active mitigation list.
GET /specp/cp/site/{site_id}/dashboard/active_mitigation_list
Description
Retrieve CleanPipe active mitigation list.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | site_id required |
Unique identifier of a site. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
Access token used to authenticate your access to the API. Can be obtained by invoking this API. | string |
| Query | page required |
Page number. | integer |
| Query | page_size required |
Page size. | integer |
| Query | search optional |
Search by host name or IP address. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response sent when the API is successfully invoked. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Error code. | integer |
| msg optional |
Error message. | string |
| result optional |
Active mitigation list. | result |
| Name | Description | Schema |
|---|---|---|
| current_page optional |
Current page. | integer |
| mitigation_list optional |
Active mitigation list. | < mitigation_list > array |
| page_size optional |
Page size. | integer |
| total_count optional |
Total number of items. | integer |
| total_page optional |
Total number of pages. | integer |
| Name | Description | Schema |
|---|---|---|
| cidr optional |
IP address. | string |
| host_id optional |
Host ID. | string |
| host_name optional |
Host name. | string |
| mitigation_mode optional |
Mitigation mode. | string |
| traffic_drop optional |
Dropped traffic data. | traffic_drop |
| traffic_pass optional |
Passed traffic data. | traffic_pass |
| Name | Description | Schema |
|---|---|---|
| bps optional |
Average traffic value. | integer |
| pps optional |
Average traffic value. | integer |
| Name | Description | Schema |
|---|---|---|
| bps optional |
Average traffic value. | integer |
| pps optional |
Average traffic value. | integer |
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Get CleanPipe Annual Event Summary.
GET /specp/cp/site/{site_id}/dashboard/annual_event_summary
Description
Retrieve CleanPipe Annual Event Summary. The site_id in path scopes results to that site.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | site_id required |
Unique identifier of a site. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
Access token used to authenticate your access to the API. Can be obtained by invoking this API. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response sent when the API is successfully invoked. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Error code. | integer |
| msg optional |
Error message. | string |
| result optional |
Annual DDoS event summary grouped by attack type and severity level. | result |
| Name | Description | Schema |
|---|---|---|
| attack_type optional |
Summary by attack type. | < attack_type > array |
| severity_level optional |
Summary by severity level. | < severity_level > array |
| Name | Description | Schema |
|---|---|---|
| data optional |
The index represents the attack type, and the value represents the corresponding statistics. | object |
| time optional |
Timestamp. | integer |
| Name | Description | Schema |
|---|---|---|
| data optional |
The index represents the severity level, and the value represents the corresponding statistics. | object |
| time optional |
Timestamp. | integer |
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Get CleanPipe Monthly Summary.
GET /specp/cp/site/{site_id}/dashboard/monthly_summary
Description
Retrieve CleanPipe Monthly Summary. The query time must not be earlier than 3 months before the current time. The site_id in path scopes results to that site.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | site_id required |
Unique identifier of a site. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
Access token used to authenticate your access to the API. Can be obtained by invoking this API. | string |
| Query | time required |
Timestamp as a string. Pass the integer timestamp from the per-site annual event summary (this API) converted to a string. The API returns the data summary for the calendar month that contains this timestamp. The timestamp must not be earlier than 3 months before the current time. Values outside this range return a business error code. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response sent when the API is successfully invoked. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Error code. | integer |
| msg optional |
Error message. | string |
| result optional |
The monthly summary displays DDoS attack statistics for the specified time period. In particular, it lists the attacks with the highest bandwidth usage, showing the distribution of information such as attack source, attack target, attack type, and AS number. | result |
| Name | Description | Schema |
|---|---|---|
| data optional |
Monthly attack distribution breakdown. | data |
| max_bps_traffic optional |
Max traffic in bps. | integer |
| max_pps_traffic optional |
Max traffic in pps. | integer |
| Name | Description | Schema |
|---|---|---|
| as_num optional |
Summary by AS number. | as_num |
| attack_type optional |
Summary by attack type. | attack_type |
| country optional |
Summary by country. | country |
| ip optional |
Summary by host. | ip |
| network optional |
Summary by Network. | network |
| Name | Description | Schema |
|---|---|---|
| bps optional |
Summary in bps. | < bps > array |
| pps optional |
Summary in pps. | < pps > array |
| Name | Description | Schema |
|---|---|---|
| as optional |
ASN. | string |
| max_size optional |
Max Size. | integer |
| org optional |
Organization. | string |
| percent optional |
Percentage. | string |
| Name | Description | Schema |
|---|---|---|
| as optional |
ASN. | string |
| max_size optional |
Max Size. | integer |
| org optional |
Organization. | string |
| percent optional |
Percentage. | string |
| Name | Description | Schema |
|---|---|---|
| bps optional |
Summary in bps. | < bps > array |
| pps optional |
Summary in pps. | < pps > array |
| Name | Description | Schema |
|---|---|---|
| attack_type optional |
Attack type. | string |
| max_size optional |
Max Size. | integer |
| percent optional |
Percentage. | string |
| Name | Description | Schema |
|---|---|---|
| attack_type optional |
Attack type. | string |
| max_size optional |
Max Size. | integer |
| percent optional |
Percentage. | string |
| Name | Description | Schema |
|---|---|---|
| bps optional |
Summary in bps. | < bps > array |
| pps optional |
Summary in pps. | < pps > array |
| Name | Description | Schema |
|---|---|---|
| country optional |
Country. | string |
| latitude optional |
Latitude of the current country. | number |
| longitude optional |
Longitude of the current country. | number |
| max_size optional |
Max Size. | integer |
| percent optional |
Percentage. | string |
| Name | Description | Schema |
|---|---|---|
| country optional |
Country. | string |
| latitude optional |
Latitude of the current country. | number |
| longitude optional |
Longitude of the current country. | number |
| max_size optional |
Max Size. | integer |
| percent optional |
Percentage. | string |
| Name | Description | Schema |
|---|---|---|
| bps optional |
Summary in bps. | < bps > array |
| pps optional |
Summary in pps. | < pps > array |
| Name | Description | Schema |
|---|---|---|
| country optional |
Country. | string |
| ip optional |
IP address. | string |
| latitude optional |
Latitude of the current IP. | number |
| longitude optional |
Longitude of the current IP. | number |
| max_size optional |
Max Size. | integer |
| org optional |
Organization. | string |
| percent optional |
Percentage. | string |
| Name | Description | Schema |
|---|---|---|
| country optional |
Country. | string |
| ip optional |
IP address. | string |
| latitude optional |
Latitude of the current IP. | number |
| longitude optional |
Longitude of the current IP. | number |
| max_size optional |
Max Size. | integer |
| org optional |
Organization. | string |
| percent optional |
Percentage. | string |
| Name | Description | Schema |
|---|---|---|
| bps optional |
Summary in bps. | < bps > array |
| pps optional |
Summary in pps. | < pps > array |
| Name | Description | Schema |
|---|---|---|
| ip optional |
Victim IP. | string |
| max_size optional |
Max Size. | integer |
| percent optional |
Percentage. | string |
| Name | Description | Schema |
|---|---|---|
| ip optional |
Victim IP. | string |
| max_size optional |
Max Size. | integer |
| percent optional |
Percentage. | string |
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Get CleanPipe network summary by specifying timestamps.
GET /specp/cp/site/{site_id}/dashboard/network_summary
Description
Retrieve CleanPipe network summary by selecting the time range.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | site_id required |
Unique identifier of a site. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
Access token used to authenticate your access to the API. Can be obtained by invoking this API. | string |
| Query | end_time required |
End time of the query range, in seconds (Unix timestamp). Allowed range: from 3 months before the current time up to the current time (must not be later than now). Must be later than start_time. The span between start_time and end_time must match period: hour (greater than 1 minute and less than 1 hour), day (greater than 1 hour and less than 1 day), week (greater than 1 day and less than 7 days), or month (greater than 7 days and less than 31 days). | integer |
| Query | period optional |
Time span of data.Default value is ‘hour’.When period is hour, the timestamp interval of each traffic data is 1 minute. When period is day, the timestamp interval of each traffic data is 10 minutes. When period is week or month, the time interval of traffic data is 1 hour. In the parameters, the choice of period depends on the length of the time period you want to obtain. | enum (hour, day, week, month) |
| Query | start_time required |
Start time of the query range, in seconds (Unix timestamp). Allowed range: from 3 months before the current time up to the current time (must not be later than now). The span between start_time and end_time must match period: hour (greater than 1 minute and less than 1 hour), day (greater than 1 hour and less than 1 day), week (greater than 1 day and less than 7 days), or month (greater than 7 days and less than 31 days). | integer |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response sent when the API is successfully invoked. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Error code. | integer |
| msg optional |
Error message. | string |
| result optional |
Network overview provides bandwidth usage and top 10 lists for each of the following data categories. | result |
| Name | Description | Schema |
|---|---|---|
| bps optional |
In bps data. | bps |
| pps optional |
In pps data. | pps |
| Name | Description | Schema |
|---|---|---|
| app optional |
Applications that use the most bandwidth. | < app > array |
| as_num optional |
Autonomous systems that use the most bandwidth. | < as_num > array |
| attack_type optional |
Attack types that use the most bandwidth. | < attack_type > array |
| country optional |
Countries that use the most bandwidth. | < country > array |
| ip optional |
Visitor IPs that use the most bandwidth. | < ip > array |
| proto optional |
Protocols that use the most bandwidth. | < proto > array |
| Name | Description | Schema |
|---|---|---|
| app optional |
Application name. | string |
| size optional |
Packet rate size. | integer |
| Name | Description | Schema |
|---|---|---|
| as optional |
AS Number. | string |
| org optional |
Organization. | string |
| size optional |
Packet rate size. | integer |
| Name | Description | Schema |
|---|---|---|
| attack_type optional |
Attack type. | string |
| size optional |
Packet rate size. | integer |
| Name | Description | Schema |
|---|---|---|
| country optional |
Country name. | string |
| latitude optional |
Latitude of the current country. | number |
| longitude optional |
Longitude of the current country. | number |
| size optional |
Packet rate size. | integer |
| Name | Description | Schema |
|---|---|---|
| country optional |
Country. | string |
| ip optional |
IP address. | string |
| latitude optional |
Latitude of the current IP. | number |
| longitude optional |
Longitude of the current IP. | number |
| org optional |
Organization. | string |
| size optional |
Packet rate size. | integer |
| Name | Description | Schema |
|---|---|---|
| proto optional |
Protocol name. | string |
| size optional |
Packet rate size. | integer |
| Name | Description | Schema |
|---|---|---|
| app optional |
Applications that use the most bandwidth. | < app > array |
| as_num optional |
Autonomous systems that use the most bandwidth. | < as_num > array |
| attack_type optional |
Attack types that use the most bandwidth. | < attack_type > array |
| country optional |
Countries that use the most bandwidth. | < country > array |
| ip optional |
Visitor IPs that use the most bandwidth. | < ip > array |
| proto optional |
Protocols that use the most bandwidth. | < proto > array |
| Name | Description | Schema |
|---|---|---|
| app optional |
Application name. | string |
| size optional |
Packet rate size. | integer |
| Name | Description | Schema |
|---|---|---|
| as optional |
AS Number. | string |
| org optional |
Organization. | string |
| size optional |
Packet rate size. | integer |
| Name | Description | Schema |
|---|---|---|
| attack_type optional |
Attack type. | string |
| size optional |
Packet rate size. | integer |
| Name | Description | Schema |
|---|---|---|
| country optional |
Country name. | string |
| latitude optional |
Latitude of the current country. | number |
| longitude optional |
Longitude of the current country. | number |
| size optional |
Packet rate size. | integer |
| Name | Description | Schema |
|---|---|---|
| country optional |
Country. | string |
| ip optional |
IP address. | string |
| latitude optional |
Latitude of the current IP. | number |
| longitude optional |
Longitude of the current IP. | number |
| org optional |
Organization. | string |
| size optional |
Packet rate size. | integer |
| Name | Description | Schema |
|---|---|---|
| proto optional |
Protocol name. | string |
| size optional |
Packet rate size. | integer |
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Get CleanPipe recent events.
GET /specp/cp/site/{site_id}/dashboard/recent_events
Description
Retrieve CleanPipe recent events. Returns at most 10 events. Event timestamps must not be earlier than 3 months before the current time. The site_id in path scopes results to that site.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | site_id required |
Unique identifier of a site. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
Access token used to authenticate your access to the API. Can be obtained by invoking this API. | string |
| Query | ip_type optional |
IP type. Default value is ‘ipv4’. | enum (ipv4, ipv6) |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response sent when the API is successfully invoked. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Error code. | integer |
| msg optional |
Error message. | string |
| result optional |
Recent events. At most 10 items. | < result > array |
| Name | Description | Schema |
|---|---|---|
| alert_id optional |
Alert ID. | string |
| attack_type optional |
Attack type. | string |
| duration optional |
Alert duration, measured in seconds. | integer (int64) |
| end_time optional |
Alert’s end time, in 10-digit timestamp format. The earliest allowed time is 3 months before the current time. | integer |
| host_id optional |
Host ID. | string |
| impact_max_bps optional |
Max bps. | integer |
| impact_max_pps optional |
Max pps. | integer |
| profile_name optional |
Profile name. | string |
| severity optional |
Severity. | string |
| severity_level optional |
Level of severity: Alert or Auto Mitigation or Auto Blackhole. | enum (Alert, Auto Mitigation, Auto Blackhole) |
| site_id optional |
Site ID. | string |
| site_ip optional |
Site IP. | string |
| site_name optional |
Site name. | string |
| start_time optional |
Alert’s start time, in 10-digit timestamp format. The earliest allowed time is 3 months before the current time. | integer |
| status optional |
Status. | enum (ongoing, stopped) |
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Get CleanPipe Top N.
GET /specp/cp/site/{site_id}/dashboard/topN
Description
Retrieve CleanPipe Top N.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | site_id required |
Unique identifier of a site. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
Access token used to authenticate your access to the API. Can be obtained by invoking this API. | string |
| Query | end_time required |
End time of the query range, in seconds (Unix timestamp). Allowed range: from 3 months before the current time up to the current time (must not be later than now). Must be later than start_time. The span between start_time and end_time must match period: hour (greater than 1 minute and less than 1 hour), day (greater than 1 hour and less than 1 day), week (greater than 1 day and less than 7 days), or month (greater than 7 days and less than 31 days). | integer |
| Query | period optional |
Time span of data.Default value is ‘hour’.When period is hour, the timestamp interval of each traffic data is 1 minute. When period is day, the timestamp interval of each traffic data is 10 minutes. When period is week or month, the time interval of traffic data is 1 hour. In the parameters, the choice of period depends on the length of the time period you want to obtain. | enum (hour, day, week, month) |
| Query | start_time required |
Start time of the query range, in seconds (Unix timestamp). Allowed range: from 3 months before the current time up to the current time (must not be later than now). The span between start_time and end_time must match period: hour (greater than 1 minute and less than 1 hour), day (greater than 1 hour and less than 1 day), week (greater than 1 day and less than 7 days), or month (greater than 7 days and less than 31 days). | integer |
| Query | type required |
Query bandwidth traffic type. pro = TOP PROTOCOL app = TOP APPLICATION vip = TOP VISITOR IP asn = TOP ASN location = TOP LOCATION |
enum (pro, app, vip, asn, location) |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response sent when the API is successfully invoked. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Error code. | integer |
| msg optional |
Error message. | string |
| result optional |
Traffic chart data for the specified type within the selected time period. | result |
| Name | Description | Schema |
|---|---|---|
| bps optional |
Data in bps. | bps |
| pps optional |
Data in pps. | pps |
| Name | Description | Schema |
|---|---|---|
| summary optional |
summary | |
| traffic optional |
Top traffic time series keyed by item name. | traffic |
| Name | Description | Schema |
|---|---|---|
| in optional |
Ingress traffic from Internet. | < in > array |
| out optional |
Egress traffic to Internet. | < out > array |
| Name | Description | Schema |
|---|---|---|
| name optional |
Item name. | string |
| size optional |
Traffic size. | integer |
| Name | Description | Schema |
|---|---|---|
| name optional |
Item name. | string |
| size optional |
Traffic size. | integer |
| Name | Description | Schema |
|---|---|---|
| in optional |
Ingress traffic keyed by top item name (e.g. application name when type=app). Each value is the traffic value at a timestamp. Example : {<br> "aol-1" : [ 1, 2, 3, "..." ],<br> "apc-2260" : [ 1, 2, 3, "..." ],<br> "totals" : [ 1, 2, 3, "..." ]<br>} |
< string, < integer > array > map |
| out optional |
Egress traffic keyed by top item name (e.g. application name when type=app). Each value is the traffic value at a timestamp. Example : {<br> "aol-1" : [ 1, 2, 3, "..." ],<br> "apc-2260" : [ 1, 2, 3, "..." ],<br> "totals" : [ 1, 2, 3, "..." ]<br>} |
< string, < integer > array > map |
| time optional |
List of timestamps for bandwidth traffic. | < integer > array |
| Name | Description | Schema |
|---|---|---|
| summary optional |
summary | |
| traffic optional |
Top traffic time series keyed by item name. | traffic |
| Name | Description | Schema |
|---|---|---|
| in optional |
Ingress traffic from Internet. | < in > array |
| out optional |
Egress traffic to Internet. | < out > array |
| Name | Description | Schema |
|---|---|---|
| name optional |
Item name. | string |
| size optional |
Traffic size. | integer |
| Name | Description | Schema |
|---|---|---|
| name optional |
Item name. | string |
| size optional |
Traffic size. | integer |
| Name | Description | Schema |
|---|---|---|
| in optional |
Ingress traffic keyed by top item name (e.g. application name when type=app). Each value is the traffic value at a timestamp. Example : {<br> "aol-1" : [ 1, 2, 3, "..." ],<br> "apc-2260" : [ 1, 2, 3, "..." ],<br> "totals" : [ 1, 2, 3, "..." ]<br>} |
< string, < integer > array > map |
| out optional |
Egress traffic keyed by top item name (e.g. application name when type=app). Each value is the traffic value at a timestamp. Example : {<br> "aol-1" : [ 1, 2, 3, "..." ],<br> "apc-2260" : [ 1, 2, 3, "..." ],<br> "totals" : [ 1, 2, 3, "..." ]<br>} |
< string, < integer > array > map |
| time optional |
List of timestamps for bandwidth traffic. | < integer > array |
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Get CleanPipe clean bandwidth traffic data.
GET /specp/cp/site/{site_id}/dashboard/traffic/clean-bandwidth
Description
Retrieve CleanPipe clean bandwidth traffic data by selecting the time range. The site_id in path scopes results to that site.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | site_id required |
Unique identifier of a site. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
Access token used to authenticate your access to the API. Can be obtained by invoking this API. | string |
| Query | end_time required |
End time of the query range, in seconds (Unix timestamp). Allowed range: from 3 months before the current time up to the current time (must not be later than now). Must be later than start_time. The span between start_time and end_time must match period: hour (greater than 1 minute and less than 1 hour), day (greater than 1 hour and less than 1 day), week (greater than 1 day and less than 7 days), or month (greater than 7 days and less than 31 days). | integer |
| Query | period optional |
Time span of data.Default value is ‘hour’.When period is hour, the timestamp interval of each traffic data is 1 minute. When period is day, the timestamp interval of each traffic data is 10 minutes. When period is week or month, the time interval of traffic data is 1 hour. In the parameters, the choice of period depends on the length of the time period you want to obtain. | enum (hour, day, week, month) |
| Query | start_time required |
Start time of the query range, in seconds (Unix timestamp). Allowed range: from 3 months before the current time up to the current time (must not be later than now). The span between start_time and end_time must match period: hour (greater than 1 minute and less than 1 hour), day (greater than 1 hour and less than 1 day), week (greater than 1 day and less than 7 days), or month (greater than 7 days and less than 31 days). | integer |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response sent when the API is successfully invoked. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Error code. | integer |
| msg optional |
Error message. | string |
| result optional |
Clean bandwidth traffic data. | result |
| Name | Description | Schema |
|---|---|---|
| average_traffic_in optional |
Average in traffic data. | average_traffic_in |
| average_traffic_out optional |
Average out traffic data. | average_traffic_out |
| statistics optional |
Traffic statistics. | statistics |
| total_traffic_in optional |
Total in traffic data. | total_traffic_in |
| total_traffic_out optional |
Total out traffic data. | total_traffic_out |
| traffic_in_total optional |
Total in traffic data. K bits | integer |
| traffic_out_total optional |
Total out traffic data. K bits | integer |
| traffic_total optional |
Total traffic data. K bits | integer |
| Name | Description | Schema |
|---|---|---|
| data optional |
Average in traffic data. | data |
| Name | Description | Schema |
|---|---|---|
| bps optional |
Traffic value. | < bps > array |
| pps optional |
Traffic value. | < pps > array |
| Name | Description | Schema |
|---|---|---|
| time optional |
Timestamp. | integer |
| value optional |
Traffic value. | integer |
| Name | Description | Schema |
|---|---|---|
| time optional |
Timestamp. | integer |
| value optional |
Traffic value. | integer |
| Name | Description | Schema |
|---|---|---|
| data optional |
Average out traffic data. | data |
| Name | Description | Schema |
|---|---|---|
| bps optional |
Traffic value. | < bps > array |
| pps optional |
Traffic value. | < pps > array |
| Name | Description | Schema |
|---|---|---|
| time optional |
Timestamp. | integer |
| value optional |
Traffic value. | integer |
| Name | Description | Schema |
|---|---|---|
| time optional |
Timestamp. | integer |
| value optional |
Traffic value. | integer |
| Name | Description | Schema |
|---|---|---|
| traffic_in optional |
In traffic statistics. bits/s | traffic_in |
| traffic_out optional |
Out traffic statistics. bits/s | traffic_out |
| Name | Description | Schema |
|---|---|---|
| 95th optional |
95th percentile traffic value. | integer |
| average optional |
Average traffic value. | integer |
| last optional |
Last traffic value. | integer |
| max optional |
Max traffic value. | integer |
| Name | Description | Schema |
|---|---|---|
| 95th optional |
95th percentile traffic value. | integer |
| average optional |
Average traffic value. | integer |
| last optional |
Last traffic value. | integer |
| max optional |
Max traffic value. | integer |
| Name | Description | Schema |
|---|---|---|
| data optional |
Total in traffic data. | data |
| Name | Description | Schema |
|---|---|---|
| bps optional |
Traffic value. | < bps > array |
| pps optional |
Traffic value. | < pps > array |
| Name | Description | Schema |
|---|---|---|
| time optional |
Timestamp. | integer |
| value optional |
Traffic value. | integer |
| Name | Description | Schema |
|---|---|---|
| time optional |
Timestamp. | integer |
| value optional |
Traffic value. | integer |
| Name | Description | Schema |
|---|---|---|
| data optional |
Total out traffic data. | data |
| Name | Description | Schema |
|---|---|---|
| bps optional |
Traffic value. | < bps > array |
| pps optional |
Traffic value. | < pps > array |
| Name | Description | Schema |
|---|---|---|
| time optional |
Timestamp. | integer |
| value optional |
Traffic value. | integer |
| Name | Description | Schema |
|---|---|---|
| time optional |
Timestamp. | integer |
| value optional |
Traffic value. | integer |
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Get CleanPipe mitigation bandwidth traffic data.
GET /specp/cp/site/{site_id}/dashboard/traffic/mitigation
Description
Retrieve CleanPipe mitigation bandwidth traffic data by selecting the time range.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | site_id required |
Unique identifier of a site. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
Access token used to authenticate your access to the API. Can be obtained by invoking this API. | string |
| Query | end_time required |
End time of the query range, in seconds (Unix timestamp). Allowed range: from 3 months before the current time up to the current time (must not be later than now). Must be later than start_time. The span between start_time and end_time must match period: hour (greater than 1 minute and less than 1 hour), day (greater than 1 hour and less than 1 day), week (greater than 1 day and less than 7 days), or month (greater than 7 days and less than 31 days). | integer |
| Query | period optional |
Time span of data.Default value is ‘hour’.When period is hour, the timestamp interval of each traffic data is 1 minute. When period is day, the timestamp interval of each traffic data is 10 minutes. When period is week or month, the time interval of traffic data is 1 hour. In the parameters, the choice of period depends on the length of the time period you want to obtain. | enum (hour, day, week, month) |
| Query | start_time required |
Start time of the query range, in seconds (Unix timestamp). Allowed range: from 3 months before the current time up to the current time (must not be later than now). The span between start_time and end_time must match period: hour (greater than 1 minute and less than 1 hour), day (greater than 1 hour and less than 1 day), week (greater than 1 day and less than 7 days), or month (greater than 7 days and less than 31 days). | integer |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response sent when the API is successfully invoked. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Error code. | integer |
| msg optional |
Error message. | string |
| result optional |
Mitigation bandwidth traffic data. | result |
| Name | Description | Schema |
|---|---|---|
| drop optional |
Dropped traffic data. | drop |
| pass optional |
Passed traffic data. | pass |
| Name | Description | Schema |
|---|---|---|
| data optional |
Dropped traffic data. | data |
| Name | Description | Schema |
|---|---|---|
| bps optional |
Traffic value. | < bps > array |
| pps optional |
Traffic value. | < pps > array |
| Name | Description | Schema |
|---|---|---|
| time optional |
Timestamp. | integer |
| value optional |
Traffic value. | integer |
| Name | Description | Schema |
|---|---|---|
| time optional |
Timestamp. | integer |
| value optional |
Traffic value. | integer |
| Name | Description | Schema |
|---|---|---|
| data optional |
Passed traffic data. | data |
| Name | Description | Schema |
|---|---|---|
| bps optional |
Traffic value. | < bps > array |
| pps optional |
Traffic value. | < pps > array |
| Name | Description | Schema |
|---|---|---|
| time optional |
Timestamp. | integer |
| value optional |
Traffic value. | integer |
| Name | Description | Schema |
|---|---|---|
| time optional |
Timestamp. | integer |
| value optional |
Traffic value. | integer |
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Get CleanPipe raw bandwidth traffic data.
GET /specp/cp/site/{site_id}/dashboard/traffic/raw-bandwidth
Description
Retrieve CleanPipe raw bandwidth traffic data by selecting the time range.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | site_id required |
Unique identifier of a site. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
Access token used to authenticate your access to the API. Can be obtained by invoking this API. | string |
| Query | end_time required |
End time of the query range, in seconds (Unix timestamp). Allowed range: from 3 months before the current time up to the current time (must not be later than now). Must be later than start_time. The span between start_time and end_time must match period: hour (greater than 1 minute and less than 1 hour), day (greater than 1 hour and less than 1 day), week (greater than 1 day and less than 7 days), or month (greater than 7 days and less than 31 days). | integer |
| Query | period optional |
Time span of data.Default value is ‘hour’.When period is hour, the timestamp interval of each traffic data is 1 minute. When period is day, the timestamp interval of each traffic data is 10 minutes. When period is week or month, the time interval of traffic data is 1 hour. In the parameters, the choice of period depends on the length of the time period you want to obtain. | enum (hour, day, week, month) |
| Query | start_time required |
Start time of the query range, in seconds (Unix timestamp). Allowed range: from 3 months before the current time up to the current time (must not be later than now). The span between start_time and end_time must match period: hour (greater than 1 minute and less than 1 hour), day (greater than 1 hour and less than 1 day), week (greater than 1 day and less than 7 days), or month (greater than 7 days and less than 31 days). | integer |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response sent when the API is successfully invoked. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Error code. | integer |
| msg optional |
Error message. | string |
| result optional |
Raw bandwidth traffic data. | result |
| Name | Description | Schema |
|---|---|---|
| average_traffic_in optional |
Average in traffic data. | average_traffic_in |
| average_traffic_out optional |
Average out traffic data. | average_traffic_out |
| Name | Description | Schema |
|---|---|---|
| data optional |
Average in traffic data. | data |
| Name | Description | Schema |
|---|---|---|
| bps optional |
Traffic value. | < bps > array |
| pps optional |
Traffic value. | < pps > array |
| Name | Description | Schema |
|---|---|---|
| time optional |
Timestamp. | integer |
| value optional |
Traffic value. | integer |
| Name | Description | Schema |
|---|---|---|
| time optional |
Timestamp. | integer |
| value optional |
Traffic value. | integer |
| Name | Description | Schema |
|---|---|---|
| data optional |
Average out traffic data. | data |
| Name | Description | Schema |
|---|---|---|
| bps optional |
Traffic value. | < bps > array |
| pps optional |
Traffic value. | < pps > array |
| Name | Description | Schema |
|---|---|---|
| time optional |
Timestamp. | integer |
| value optional |
Traffic value. | integer |
| Name | Description | Schema |
|---|---|---|
| time optional |
Timestamp. | integer |
| value optional |
Traffic value. | integer |
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Definitions
Result
The returned result.
| Name | Description | Schema |
|---|---|---|
| code optional |
Error code | integer |
| msg optional |
Error message | string |
Security
ApiKeyAuth
Type : apiKey
Name : access_token
In : QUERY